%define upstream_name	 Module-Pluggable-Fast
%define upstream_version 0.19

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Fast plugins with instantiation
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl(UNIVERSAL::require)
BuildArch:	noarch

%description
This module is similar to Module::Pluggable but instantiates plugins as soon as
they're found, useful for code generators like Class::DBI::Loader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-10.mga9
+ Revision: 1804590
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-9.mga8
+ Revision: 1495634
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-8.mga7
+ Revision: 1269572
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1030251
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 968978
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 0.190.0-5.mga6
+ Revision: 858286
- Drop BR on UNIVERSAL::exports

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 750068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 685469
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 513047
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 369948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 30860
- mageia rebuild
- imported package perl-Module-Pluggable-Fast

